/*
 * @Author: wangming
 * @Date: 2020-06-10 10:53:49
 * @LastEditors: wangming
 * @LastEditTime: 2020-06-29 10:24:34
 * @Description: file content
 */

import Vue from 'vue';
import VueStorage from 'vue-ls';
import config from '@/config/defaultSettings';

// base library
import '@/core/lazy_lib/components_use';
import Viser from 'viser-vue';

// ext library
import VueClipboard from 'vue-clipboard2';
// import MultiTab from '@/components/MultiTab';
import PageLoading from '@/components/PageLoading';
import PermissionHelper from '@/utils/helper/permission';
import './directives/action';
import './directives/auth';
VueClipboard.config.autoSetContainer = true;

Vue.use(Viser);
// Vue.use(MultiTab);
Vue.use(PageLoading);
Vue.use(VueStorage, config.storageOptions);
Vue.use(VueClipboard);
Vue.use(PermissionHelper);
